BdbService.closeDatabaseHandle_result._Fields (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum BdbService.closeDatabaseHandle_result._Fields

- java.lang.Object
- - java.lang.Enum<BdbService.closeDatabaseHandle_result._Fields>
  - - com.sleepycat.thrift.BdbService.closeDatabaseHandle_result._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BdbService.closeDatabaseHandle_result._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    BdbService.closeDatabaseHandle_result

      public static enum BdbService.closeDatabaseHandle_result._Fields
      extends java.lang.Enum<BdbService.closeDatabaseHandle_result._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DBE`
    `RE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BdbService.closeDatabaseHandle_result._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static BdbService.closeDatabaseHandle_result._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static BdbService.closeDatabaseHandle_result._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static BdbService.closeDatabaseHandle_result._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BdbService.closeDatabaseHandle_result._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DBE

          public static final BdbService.closeDatabaseHandle_result._Fields DBE

    - #### RE

          public static final BdbService.closeDatabaseHandle_result._Fields RE

  - ### Method Detail

    - #### values

          public static BdbService.closeDatabaseHandle_result._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BdbService.closeDatabaseHandle_result._Fields c : BdbService.closeDatabaseHandle_result._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BdbService.closeDatabaseHandle_result._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static BdbService.closeDatabaseHandle_result._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static BdbService.closeDatabaseHandle_result._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static BdbService.closeDatabaseHandle_result._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.